Subject: Re: bug#70141: 30.0.50; cl--class-allparents throws error for ebdb-field-pgp

From: Robert Pluim <[email-masked]>
Date: Tue, 02 Apr 2024 16:17:27 +0200

>>>>> On Tue, 02 Apr 2024 16:04:51 +0200, Robert Pluim <[email-masked]> said:

    Robert> Just for fun I tried enabling the native compiler, and keep running
    Robert> into the following error with my config (-Q is fine).

    Robert> Iʼve tried reinstalling key-chord and ebdb, but thatʼs made no difference.

    Robert> I know nothing about eieio, but the defclass for ebdb-field-pgp has a
    Robert> superclass:

    Robert>     (defclass ebdb-field-pgp (ebdb-field-user)

Actually, if I add

    (require 'ebdb-pgp)
    (require 'ebdb-org)

to my .emacs before enabling key-chord-mode, the error disappears, so
perhaps this is an ebdb bug rather than an emacs one, although Iʼm not
conscious of using either of those addons. Eric? (this is
ebdb 0.8.22)

Robert
--